| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# PropertyProxy::GaudiHandleArrayPropertyProxy Class Reference

Inheritance diagram for PropertyProxy::GaudiHandleArrayPropertyProxy:

[legend]
Collaboration diagram for PropertyProxy::GaudiHandleArrayPropertyProxy:

[legend]

List of all members.

## Detailed Description

Definition at line 308 of file PropertyProxy.py.

## Public Member Functions
def | __init__
def | checkType
def | convertDefaultToBeSet
def | convertValueToBeSet
## Public Attributes
| arrayType

## Member Function Documentation

def PropertyProxy::GaudiHandleArrayPropertyProxy::__init__ | ( |  | self,
|  |  | descr,
|  |  | docString,
|  |  | default |
| ) |  |  |

    <descr>: the real property in the object instance (from __slots__)
    <confTypeName>: string indicating the (base) class of allowed Configurables to be assigned.
    <handleType>: real python handle type (e.g. PublicToolHandle, PrivateToolHandle, ...)

Reimplemented from PropertyProxy::PropertyProxy.

Definition at line 309 of file PropertyProxy.py.

    00309                                                   :
    00310       """<descr>: the real property in the object instance (from __slots__)
    00311       <confTypeName>: string indicating the (base) class of allowed Configurables to be assigned.
    00312       <handleType>: real python handle type (e.g. PublicToolHandle, PrivateToolHandle, ...)
    00313       """
    00314       GaudiHandlePropertyProxyBase.__init__( self, descr, docString, default, type(default).handleType, GaudiHandleArray )
    00315       self.arrayType = type(default)
    00316
    00317
       def checkType( self, obj, value ):

def PropertyProxy::GaudiHandleArrayPropertyProxy::checkType | ( |  | self,
|  |  | obj,
|  |  | value |
| ) |  |  |

Definition at line 318 of file PropertyProxy.py.

    00318                                     :
    00319       if not isinstance( value, list ) and not isinstance( value, self.arrayType ):
    00320          raise TypeError( "%s: Value %r is not a list nor a %s" % \
    00321                           ( self.fullPropertyName(obj), value, self.arrayType.__name__ ) )
    00322
    00323
       def convertDefaultToBeSet( self, obj, default ):

def PropertyProxy::GaudiHandleArrayPropertyProxy::convertDefaultToBeSet | ( |  | self,
|  |  | obj,
|  |  | default |
| ) |  |  |

Reimplemented from PropertyProxy::GaudiHandlePropertyProxyBase.

Definition at line 324 of file PropertyProxy.py.

    00324                                                   :
    00325       self.checkType( obj, default )
    00326       newDefault = self.arrayType()
    00327       for d in default:
    00328          cd = GaudiHandlePropertyProxyBase.convertDefaultToBeSet( self, obj, d )
    00329          if cd: newDefault.append( cd )
    00330
    00331       return newDefault
    00332
    00333
       def convertValueToBeSet( self, obj, value ):

def PropertyProxy::GaudiHandleArrayPropertyProxy::convertValueToBeSet | ( |  | self,
|  |  | obj,
|  |  | value |
| ) |  |  |

Reimplemented from PropertyProxy::GaudiHandlePropertyProxyBase.

Definition at line 334 of file PropertyProxy.py.

    00334                                               :
    00335       self.checkType( obj, value )
    00336       newValue = self.arrayType()
    00337       for v in value:
    00338          cv = GaudiHandlePropertyProxyBase.convertValueToBeSet( self, obj, v )
    00339          if cv: newValue.append( cv )
    00340
    00341       return newValue
    00342
    00343
    00344
    def PropertyProxyFactory( descr, doc, default ):

## Member Data Documentation

PropertyProxy::GaudiHandleArrayPropertyProxy::arrayType

Definition at line 315 of file PropertyProxy.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/PropertyProxy.py